package eventmodels

// 签到事件
type SigninEventContent struct {
	UserBasic
	EventBasic
	SigninType         int `json:"signin_type"`          // 签到事件的类型 eg:每日、限时、累计
	TotalCount         int `json:"total_count"`          // 总签到次数
	ContinuousCount    int `json:"continuous_count"`     // 连续签到次数
	ContinuousCountMax int `json:"continuous_count_max"` // 最大连续签到次数
}

func (e *SigninEventContent) EventName() string {
	return "Signin"
}
